html {
  overflow-x: hidden;
  scroll-behavior: smooth; /* does not work on safari so js instead - HAS TO BE DONE */  
}

body{
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    height: 90%;
    background-color: white;
}

.body_box{                     
  margin: auto;
  border-left: 2px solid #cbcccd;
  border-right: 2px solid #cbcccd;
}

/* -------------- active-link ----------------------- */
.active-head {
  color: #881408;
  text-decoration: underline;
}

/* ------------------------------------------------------- */
/* -------------- Header Kopfzeile ----------------------- */
/* ------------------------------------------------------- */
.header_box{                     
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  min-height: 90px;
  background-color: white;
  box-shadow: 0px 0px 4px 0px dimgrey;
 /* order-bottom: 1px solid #5662b9; */
  position: sticky;
  top: 0;
}

.header_sub{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  min-height: 35px;
  background-color: white;
  box-shadow: 0px 0px 4px 0px silver;
 /* order-bottom: 1px solid #5662b9; */
  position: sticky;
  top: 90px;
}

/* -------------- HEADER - Logo ----------------------- */
.logo_box {
  /* flex-direction: row; */
  /* justify-content: flex-start; */
  /* align-items: center; */
}
.logo_box ul {
    margin: 0px;
}
.logo_box ul li {
  list-style: none;
  padding: 8px 32px 4px 0;
}

/* -------------- HEADER - NAV - Hauptnavigation ----------------------- */
nav {
  /* height: 100px; */
  margin: 0px;
  background-color: white;
  display: flex;
  flex-direction: row;
  margin-left: 25.8px;
  margin-right: 25.8px;
    flex-wrap: wrap;
    justify-content: space-around;
        flex-grow: 1;
  /* border: 1px solid #5662b9; */
}
nav ul {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
    justify-content: space-around;
flex-grow: 0.3;
  /*justify-content: center;*/
  list-style: none;
  margin: 0px;
  padding: 0 15px 0px 15px;
  /* border: 1px solid #5662b9; */
}
nav li {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 14px;
  font-weight: 650;
  padding: 0px 23px 0px 23px;
  /* border: 1px solid #5662b9; */
}
nav li ul {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  -webkit-transition: height 1.3s ease-in-out 0.9s;
  transition: height 1.3s lease-in-out 0.9s;
  height: 0px;
  overflow: hidden;
  padding: 0px;
  margin: 0px;
}
nav li ul li {
  padding: 0px 3px 0px 3px;
  margin: 0px;
}
nav li:hover ul {
  -webkit-transition: height 1s linear 0s;
  transition: height 1s linear 0s;
  padding: 0px;
  margin: 0px;
}
nav a {
  text-decoration: none;
  color: #1122aa;
  display: inline-block;
  padding-top: 0px;
}
nav a:hover {
  color: #881408;
  text-decoration: underline;
}
nav a:active {
  color: #881408;
  font-weight: bold;
}

.side_nav_box {
    margin: 0px;
    justify-content: right;
}

.side_nav {
    margin: 0px 35px 0px 0px;
    justify-content: right;
    text-align: center;
    min-width: 100px;
}

.side_nav ul {
    display: flex;
    display: -webkit-flex; /* Safari */
    flex-direction: row;
    list-style: none;
    margin: 0px;
    padding: 0px;
}

.side_nav li {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 400;
    font-size: 0.9em;
    padding: 10px 10px 10px 10px;
    margin: 0px;
}
.side_nav i {
    font-size: 1.2em;
    padding: 10px 10px 10px 10px;
}


.side_nav a {
    text-decoration: none;
    color: black;
    display: inline-block;
    padding-top: 0px;
}
.side_nav a:hover {
    font-weight: 600;
    display: inline-block;
    -ms-transform: scale(1.1); /* IE  */
    -webkit-transform: scale(1.1); /* Safari */
    transform: scale(1.1);
    padding-top: 0px;
}


/* -------------- HEADER - MENU - Nebennavigation als Hamburger ----------------------- */
.toggle-button{       /* Der toggle-button (Hamburger) wird bei kleinen Displaygrößen genutzt, um die Menüleiste zu versecken*/
  position: absolute;
  top: 35px;
  right: 120px;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 23px;
}
.toggle-button .bar{    /*Optische anpassung das toggle-button*/
  height: 4px;
  width: 100%;
  background-color: #1122aa;
  border-radius: 100px;
}

@media(max-width:854px){ /*Bedingung ab wann der toggle-button auf der Internetseite erscheint*/
    .main_nav{
      display: none;      /*Unter einer Breite von 750px soll die Liste zunächst nicht angezeigt werden*/
      width: 100%;
    }
    .toggle-button{
      display: flex;
    }
    nav{
      flex-direction: column;
      align-items: flex-start;
      order: 1;
      width: 100%;
    }
    menu{
      margin: 10px 10px 10px 40px;
    }

    .main_nav ul{
      flex-direction: column;
      width: 100%;
    }
    .main_nav li{
      text-align: center;
    }
    .main_nav.active{
      display: flex;
    }
}

/* ------------------------------------------------------- */
/* ----------------- MAIN - Hauptinhalt ----------------- */
/* ------------------------------------------------------- */

.main_box{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  max-width: 78%;
  /*width: 1400px;*/
  margin: 0 auto;
  height: fit-content;
  background-color: white;
  flex-wrap: wrap;
  flex: 1 1 auto;
  min-height: 638px;
}

/* ------------------------------------------------------- */
/* ----- MAIN - SECTION - Abschnitte im Hauptinhalt ------ */
/* ------------------------------------------------------- */
section {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: nowrap;
    flex: 1 1 auto;

    width: 98%;
    height: fit-content;
    min-width: 300px;
    min-height: fit-content;
    background-color: white;

    padding: 5px 5px 5px 5px;
    margin: 8px 8px 8px 8px;
    font-size: normal;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* border: 1px solid #5662b9; */
    color: #1122aa;
  }

  .section li {
  font-size: 16px;
  font-weight: 400;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  }

  /* SECTION spezifisch für section_competence */
  .section_competence {
    padding: 5px 5px 5px 5px;
    margin: 8px 8px 8px 8px;
    font-size: normal;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* border: 1px solid #5662b9; */
    color: #1122aa;
  }

  /* SECTION spezifisch für section_methods */
  .section_methods {
    padding: 5px 5px 5px 5px;
    margin: 8px 8px 8px 8px;
    font-size: normal;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* border: 1px solid #5662b9; */
    color: #1122aa;
  }

  /* SECTION spezifisch für section_repository */
  .section_repository {
    padding: 5px 5px 5px 5px;
    margin: 8px 8px 8px 8px;
    font-size: normal;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* border: 1px solid #5662b9; */
    color: #1122aa;
  }

  /* SECTION spezifisch für section_simulation */
  .section_simulation {
    padding: 5px 5px 5px 5px;
    margin: 8px 8px 8px 8px;
    font-size: normal;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* border: 1px solid #5662b9; */
    color: #1122aa;
  }

  /* SECTION spezifisch für section_transparency */
  .section_transparency {
    padding: 5px 5px 5px 5px;
    margin: 8px 8px 8px 8px;
    font-size: normal;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    /* border: 1px solid #5662b9; */
    color: #1122aa;
  }

  /* -------------- MAIN - SECTION ARTICLE- Elemente im Inhalte links 60% rechts 30%  ----------------------- */
  article {
    min-width: 200px;
    min-height: fit-content;
    padding: 5px;
    margin: 110px 8px 12px 8px;
    /* border: 1px solid #5662b9; */
    /* color: #1122aa; */
  }

  /* verschiedene Breiten für article-tags */

  /* 2 drittel links - 1 drittel rechts */
  .article_2-3_left {
    width: 60%;
    text-align: left;
  }
  .article_1-3_right {
    width: 36%;
    text-align: left;
  }

  /* 1 drittel links - 2 drittel rechts */
  .article_1-3_left {
    width: 36%;
    text-align: left;
  }
  .article_2-3_right {
    width: 60%;
    text-align: left;
  }

  /* drittel für mitte */
  .article_1-3_middle {
    width: 36%;
    text-align: left;
  }

  /* 1 hälfte links - 1 hälfte rechts */
  .article_1-2_left {
    width: 48%;
    text-align: left;
  }
  .article_1-2_right {
    width: 48%;
    text-align: left;
  }

/* -------------- MAIN - Teaser - Leiste und Elemente   ----------------------- */
.teaser_box {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  max-width: 89%;
  /*width: 1400px;*/
  margin: 0 auto;
  height: max-content;
  /* background-color: gainsboro; */
  background-color: white;
  flex-wrap: wrap;
  flex: 1 0 auto;
}

/* ----- MAIN - Teaser - Elemente   ----- */
.element_teaser {
    width: 12%;
    min-width: 150px;
    min-height: fit-content;
    border: 1px solid #10069f;
    color: #10069f;
    text-align: center;
    padding: 5px;
    margin: 4px 8px 50px 8px;
    font-size: small;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    flex: 1 1 auto;
}

/* ------------------------------------------------------- */
/* -------------- FOOTER - Fußzeile  ----------------------- */
/* ------------------------------------------------------- */
.footer_top_box{
  display: flex;
  flex-direction: row;
  justify-content: left;
  flex-wrap: wrap;
  flex: 1 0 auto;
}
.element_footer_top{
  width: 98%;
  min-width: 200px;
  min-height: fit-content;
  background-color: white;
  margin: auto;
  /* margin: 20px 0px 0px 0px; */
  padding: 10px 0px 10px 50px;
  border-top: 1px solid red;
  text-align: left;
  list-style-type: none;
  font-size: small;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.footer_box{
  width: 100%;
  /* max-width: 1200px; */
  margin: 0 auto;
  height: max-content;
  background-color: #97d700;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  flex-wrap: wrap;
  flex: 1 0 auto;
  font-size: normal;
  font-weight: 500;
  color:white;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  list-style-type: none;
}

/* ------------FOOTER - elemente der Fußzeile--------------- */
.element_footer{
    width: 15%;
    min-width: 100px;
    min-height: fit-content;
    background-color: #97d700;
    text-align: center;
    line-height: 140%;
   /* border: 1px solid white; */
    margin: 0px 0px 0px 0px;
    padding: 0px 8x 8px 8px;
    list-style-type: none;
}

.element_footer a{
    text-decoration: none;
    font-weight: 400;
    color: #1122aa;
}


.element_footer a:hover{
    color: #881408;
  text-decoration: underline;
}

.element_footer_zdin{
  width: 10%;
  min-width: 180px;
  min-height: fit-content;
  background-color: #10069f;
  text-align: center;
  /* border: 1px solid white; */
  margin: 0px 0px 0px 0px;
  padding: 15px 5px 5px 5px;
  list-style-type: none;
}

/* ------------ To The Top - Button - elemente der Fußzeile--------------- */
.to-top-button {
  position: fixed;
  bottom: 50px;
  right: 35px;
  z-index: 9;
  background-color: #83d733;
  opacity: 0.5;
  border: 2px solid #fff;
  border-radius: 12px;
  box-shadow: 0 8px 13px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  font-weight: 700;
  margin: 4px 2px;
  cursor: pointer;
}

.section p {

}


